curs_clear(3X)

NAME
erase, werase, clear, wclear, clrtobot, wclrtobot, clrtoeol, wclrtoeol - clear all or part of a curses window

SYNOPSIS
# include <curses.h>

int erase(void);
int werase(WINDOW *win);
int clear(void);
int wclear(WINDOW *win);
int clrtobot(void);
int wclrtobot(WINDOW *win);
int clrtoeol(void);
int wclrtoeol(WINDOW *win);

DESCRIPTION
The erase and werase routines copy blanks to every position in the window, clearing the screen.

The clear and wclear routines are like erase and werase, but they also call clearok, so that the screen is cleared completely on the next call to wrefresh for that window and repainted from scratch.

The clrtobot and wclrtobot routines erase from the cursor to the end of screen. That is, they erase all lines below the cursor in the window. Also, the current line to the right of the cursor, inclusive, is erased.

The clrtoeol and wclrtoeol routines erase the current line to the right of the cursor, inclusive, to the end of the current line.

Blanks created by erasure have the current background rendition (as set by wbkgdset) merged into them.

RETURN VALUE
All routines return the integer OK. The SVr4.0 manual says "or a non-negative integer if immedok is set", but this appears to be an error.

NOTES
Note that erase, werase, clear, wclear, clrtobot, and clrtoeol may be macros.

PORTABILITY
These functions are described in the XSI Curses standard, Issue 4. The standard specifies that they return ERR on failure, but specifies no error conditions.

Some historic curses implementations had, as an undocumented feature, the ability to do the equivalent of clearok(..., 1) by saying touchwin(stdscr) or clear(stdscr). This will not work under ncurses.

SEE ALSO
curses(3X), curs_outopts(3X), curs_refresh(3X)